Bug 814371 - RFE: indication of expected duration of queued job state
RFE: indication of expected duration of queued job state
Status: NEW
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.9
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
Measurements
: FutureFeature
: 1071372 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-19 13:39 EDT by Andy Grover
Modified: 2015-09-13 22:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2012-04-19 13:39:54 EDT
I have a job that has been queued for 24 hours, and I have no idea when it will be started. Mildly vexing.

If jobs are normally in the queued state for long periods of time, it should show estimated time until execution, or at least show place in the queue.
Comment 1 Bill Peck 2012-04-19 13:46:23 EDT
This is a lot harder than you think.  Because of groups, loans, ownership.  Everyone has access to different systems.

But I do think its worth trying.  It just may not be super accurate at first.
Comment 2 Raymond Mancy 2012-04-23 04:13:19 EDT
Yeah the number we would be trying to track is a real moving target. 

This request has been made a few times before, and put into the "It doesn't really work like that" basket. If we can't do it somewhat accurately I don't see the point in it at all. All we would be doing is spreading misinformation, which is surely worse then no information.

I wonder if we should put our effort into optimising our queueing algorithm first as it may change how we calculate this ETA number anyway.

Perhaps a reasonable intermediate step would be just a more general information on the current beaker load, perhaps by arch or something.
So then if someone has a lot of s390x jobs waiting for sometime, they could rest assured by going to a page that displays a somewhat vague coloured rendition (think colour coded USA terror alerts) of the current state of things in beaker.
This may even avoid emails to admins with the "Why is my job taking so long" subject.
Comment 3 Min Shin 2012-11-21 22:21:37 EST
ncoghlan: I don't think we can realistically provide this, as there are too many variables to come up with a good estimate (if your job can run on a dynamic VM, you're likely to have a much shorter queue time than if you need a rare piece of hardware). We might be able to offer a variant on FR-6 that included a "place in queue" for a particular recipe, but this is still a fairly tricky UX problem, so I'm wary of comitting to anything specific until we see how FR-1 to FR-9 shape up.

FR-6: Current Load per Architecture
FR-1: Server Load
FR-9: Speed of service

Bumping out of 0.11, based on ncoghlan's input as above.
Comment 5 Alexander Todorov 2014-03-04 05:35:02 EST
*** Bug 1071372 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.